<?php 
if ( ! function_exists( 'spice_faq_shortcode' ) ) {
 
    function spice_faq_shortcode( $atts ) {
		
		wp_enqueue_script("spice-faq-js", SPICE__PLUGIN_URL  . '/include/assets/faq-custom-js.js');
		wp_enqueue_style("spice-faq-css", SPICE__PLUGIN_URL  . '/include/assets/faq-css.css');
			
        $output = '';
		
		
		// Define shortcode attributes.
	$short_code_atts = shortcode_atts( 
	apply_filters( 'spice_faq_shortcode_attribute', array(
		'limit' => '1000',
		'order' => 'DESC',
		'in_category' => '',
		
	) )
	, $atts );
	
        // set the query arguments
        $query_args = apply_filters( 'spice_faq_defaults',array(
           
            'posts_per_page'    =>   $short_code_atts['limit'],
			
			'order'            =>	$short_code_atts['order'],
          
            'post_type'         =>   'spice_faq',
           
            'no_found_rows'     =>   true,
        ));
        
        
        if($short_code_atts['in_category']!='') {
        	
   $query_args['tax_query'] = [
				[
					'taxonomy' => 'spice_faq_tax',
					'field' => 'slug',
					'terms' => explode(",", $short_code_atts['in_category']),
					'include_children' => false // Remove if you need posts from child terms
				],
			];
}
         
        
        // get the posts with our query arguments
        $faq_posts = get_posts( $query_args );
        // handle our custom loop
       foreach ( $faq_posts as $post ) {
		   setup_postdata( $post );
		   //print_r($post );
		   $faq_item_title = get_the_title( $post->ID );
           $faq_item_permalink = get_permalink( $post->ID );
		   $faq_item_content = get_the_content();
		  
		   $output .= '<div id="'. $post->ID.'" class="spice-faq-wrap">';
		   $output .= '<div id="'.$faq_item_title.'" class="spice-faq-title faq-closed"> <h4>'.$faq_item_title.'</h4></div>';
		   $output .= '<div class="spice-faq-content faq-closed" style="display: none;">';
		   $output .= '<p>'.$faq_item_content.'</p>';
		   $output .= '</div></div>';
         
       }
         
       wp_reset_postdata();
      
        return $output;
    }
 
    add_shortcode( 'spice-faq', 'spice_faq_shortcode' );
 
}
?>
